Package Details: pplatex-git 20150915.g5cec891-2

Git Clone URL: https://aur.archlinux.org/pplatex-git.git (read-only)
Package Base: pplatex-git
Description: Pretty-Print LaTeX: A tool to reformat the output of latex and friends into readable messages
Upstream URL: https://github.com/stefanhepp/pplatex
Licenses: GPL3
Submitter: quartic
Maintainer: quartic
Last Packager: quartic
Votes: 5
Popularity: 0.020422
First Submitted: 2012-11-05 13:16
Last Updated: 2019-02-23 14:52

Latest Comments

quartic commented on 2019-02-23 14:55

@andrejr pplatex and ppdflatex are exact copies of each other. The ln saves some disk space.

I have updated the PKGBUILD to add the ppluatex wrapper script.

andrejr commented on 2019-01-24 13:21

What does the ln at the end of package() in the PKGBUILD do?

Anyway, you should expose all of the supplied executables (explained in the github repo readme), so that the package will effortlessly work with lualatex.

You can do so by appending this to the package() function:

install -Dm755 bin/ppdflatex "$pkgdir/usr/bin/ppdflatex"
install -Dm755 bin/ppluatex "$pkgdir/usr/bin/ppluatex"

I find that the program works great even without that symlink.

reedjosh commented on 2017-10-13 01:20

I've been getting the below error. It seems as though this is a problem with the actual software though.

I tried changing the tabs to spaces, but the file seems to be auto generated during build. Any thoughts?

*** Error loading site_init file './site_scons/site_init.py':
File "/home/jreed/tmp/yaourt-tmp-jreed/aur-pplatex-git/src/pplatex/site_scons/envhelper.py", line 7

return "64"

^

TabError: inconsistent use of tabs and spaces in indentation

Thanks!

quartic commented on 2017-03-10 18:14

@eduardosm: Good idea, done.

eduardosm commented on 2017-03-10 13:38

Could you change the repository link from "git://" to "git+https://"?
"git://" links are blocked on some networks.